> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/geopard-api-isteklerine-genel-bakis/notlar-pinler/25.-mutasyon-field-e-ekli-note-u-kaydet.md).

# 25. Mutasyon: "Field"e ekli "Note"u kaydet

Bu mutasyon belirli bir Parsel(e) bir Not eklemenize olanak tanır.

* Bir Not, benzersiz tanımlayıcısı aracılığıyla Tarlaya bağlanabilir `fieldUuid`.&#x20;
* Notun koordinatı şu kullanılarak ayarlanabilir `centroid` özelliği, bu da tanımlı gerektirir `latitude` ve `longitude` değerleri.&#x20;
* Not türü şu özellik kullanılarak belirtilebilir `tür` özelliğiyle kabul edilebilir değerler `PLANNED` veya `REAL`.&#x20;
* Notun açıklaması şu kullanılarak sağlanabilir `comment` özelliği. Açıklama çok satırlı olacaksa, `comment` özniteliği yeni satır karakterleri içeren bir dize içermelidir `\\n` satırları ayırmak için. Örneğin: `"İlk satır burada.\\nİkinci satır burada.\\nÜçüncü satır burada."`.

Örnek istekler aşağıda bulunabilir:

```graphql
mutasyon SaveNoteAttachedToField {
  saveNote(input:{
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    centroid: {
      latitude: 51.177747, 
      longitude:  -113.533613
    },
    type: PLANNED,
    yorum: "Parsele eklenen test notu"
  } ) {
    uuid
    fieldUuid
    centroid {
      latitude
      longitude
    }
    oluşturulmaTarihi
    updatedDate
    tür
    comment
  }
}
```

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutasyon SaveMultiLineNoteAttachedToField {
  saveNote(input:{
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    centroid: {
      latitude: 51.177747, 
      longitude:  -113.533613
    },
    type: PLANNED,
    yorum: "Birinci satır. burada\\nİkinci satır burada.\\nÜçüncü satır burada."
  } ) {
    uuid
    fieldUuid
    centroid {
      latitude
      longitude
    }
    oluşturulmaTarihi
    updatedDate
    tür
    comment
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/geopard-api-isteklerine-genel-bakis/notlar-pinler/25.-mutasyon-field-e-ekli-note-u-kaydet.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
